# Struct vec_map::VacantEntry [−] [src]

    pub struct VacantEntry<'a, V: 'a> {
        // some fields omitted
    }

A vacant Entry.

## Methods

### `impl<'a, V> VacantEntry<'a, V>`

#### `fn insert(self, value: V) -> &'a mut V`

Sets the value of the entry with the VacantEntry's key, and returns a mutable reference to it.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)